LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XWindowPeer Interface Referencepublished

gives access to the actual window implementation on the device. More...

`import"XWindowPeer.idl";`

Inheritance diagram for XWindowPeer:

## Public Member Functions
XToolkit | getToolkit ()
| returns the toolkit which created this object. More...
void | setPointer ([in] XPointer Pointer)
| sets the mouse pointer. More...
void | setBackground ([in] com::sun::star::util::Color Color)
| sets the background color. More...
void | invalidate ([in] short Flags)
| invalidates the whole window with the specified InvalidateStyle. More...
void | invalidateRect ([in] Rectangle Rect, [in] short Flags)
| invalidates a rectangular area of the window with the specified InvalidateStyle. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

gives access to the actual window implementation on the device.

Developers Guide
  Office Development - Java Window Integration
  Office Development - Component - Window Interfaces
  Office Development - Windows
  JavaBean for Office Components - OfficeWindow Interface

## Member Function Documentation

## ◆ getToolkit()

XToolkit getToolkit | ( |  | ) |

returns the toolkit which created this object.

## ◆ invalidate()

void invalidate | ( | [in] short | Flags | ) |

invalidates the whole window with the specified InvalidateStyle.

Parameters

  Flags | see com.sun.star.awt.InvalidateStyle

## ◆ invalidateRect()

void invalidateRect | ( | [in] Rectangle | Rect,
|  | [in] short | Flags
| ) |  |

invalidates a rectangular area of the window with the specified InvalidateStyle.

Parameters

  Rect | the area to invalidate.
  Flags | see com.sun.star.awt.InvalidateStyle

## ◆ setBackground()

void setBackground | ( | [in] com::sun::star::util::Color | Color | ) |

sets the background color.

## ◆ setPointer()

void setPointer | ( | [in] XPointer | Pointer | ) |

sets the mouse pointer.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XWindowPeer.idl